## gst-plugins-bad1.0 1.4.5

=== debian/changelog ===
gst-plugins-bad1.0 (1.4.5-1ubuntu5) wily; urgency=medium

  * adding-mirsink-and-android-media-over-hybris-support.patch: use
    ubuntu-platform-api pkg-config information for building sources that
    need to be able to find mir headers.  LP: #1465958.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Jun 2015 10:36:00 -0700

gst-plugins-bad1.0 (1.4.5-1ubuntu4) wily; urgency=medium

  * No-change rebuild for the libnettle6 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Jun 2015 04:06:33 -0600

gst-plugins-bad1.0 (1.4.5-1ubuntu3) wily; urgency=medium

  * androidmedia-support-COLOR_QCOM_FormatYVU420SemiPlanar32m.patch:
    + Adding support for COLOR_QCOM_FormatYVU420SemiPlanar32m (LP: #1452386)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 25 May 2015 16:40:30 -0300

gst-plugins-bad1.0 (1.4.5-1ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Integrating androidmedia-Read-max-input-size-from-caps.patch
    + androidmedia: Make sure input buffers are aligned
    + androidmedia: Allow support for HEVC and VP8/9
    + mtk: Increase alignment for input buffers

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Mar 2015 15:28:09 -0300

gst-plugins-bad1.0 (1.4.5-1ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 25 Feb 2015 12:42:54 +0000

gst-plugins-bad1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:25:07 +0100

gst-plugins-bad1.0 (1.4.4-2ubuntu5) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + androidmedia: Avoid deadlock when seeking and improving seek performance
      (LP: #1418619)
    + androidmedia: Extend codec caps for sink, so it can handle videos that
      were not being played
    + androidmedia: Remove access unit delimiters NALUs from byte stream.
      These NALUs were causing problems for MTK's decoder and are not really
      necessary (LP: #1417756).

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 24 Feb 2015 00:25:27 -0300

gst-plugins-bad1.0 (1.4.4-2ubuntu4) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Improving handling of short videos

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Dec 2014 12:40:55 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu3) vivid; urgency=medium

  * debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
    + Support H.263 videos: Change the capabilities for the H.263 decoder sink
      to be the same as those of the H.263 decoder on the desktop. With the
      previous capabilities the link negotiation was failing for all H.263
      videos.
    + Release unused output buffers: When frames were dropped due to late
      arrival, the already allocated output buffer was not being freed. This
      caused the video to freeze in the moment there were no available output
      buffers, which happened after a few frames were dropped.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 16 Dec 2014 00:26:43 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - androidmedia: Fix stagnation when obtaining thumb (LP: #1397997)
    - Don't flush while the dec loop is working (LP: #1364466)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 08 Dec 2014 23:46:12 -0200

gst-plugins-bad1.0 (1.4.4-2ubuntu1) vivid; urgency=low

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Nov 2014 12:23:49 +0000

gst-plugins-bad1.0 (1.4.3-1ubuntu2) vivid; urgency=medium

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:

