## gst-plugins-bad1.0 1.5.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.5.2-1ubuntu3) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 12:28:10 +0200

gst-plugins-bad1.0 (1.5.2-1ubuntu2) wily; urgency=medium

  * Send error messages to the gstreamer client when an error happens in
    amchybris, so it can react. Based on changes to the androidmedia plugin.
    Change by Alfonso Sanchez-Beato.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 29 Jul 2015 13:45:58 +0100

gst-plugins-bad1.0 (1.5.2-1ubuntu1) wily; urgency=medium

  [ Iain Lane ]
  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.
  * debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/watch: Update Vcs-* for new URL scheme
  * Disable bluez support - requires bluez 5

  [ Alfonso Sanchez-Beato ]
  * Update d/p/adding-mirsink-and-android-media-over-hybris-support.patch to
    apply on this version.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 22 Jul 2015 15:35:24 +0100

gst-plugins-bad1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 23:29:59 +0200

gst-plugins-bad1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 11:03:58 +0200

gst-plugins-bad1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 15:48:32 +0300

gst-plugins-bad1.0 (1.5.0.1+git20150316-2) experimental; urgency=medium

  * debian/libgstreamer-plugins-bad-dev.install:
    + Include platform dependent GL headers.
  * debian/libgstreamer-plugins-bad-dev.install,
    debian/rules,
    debian/build-deps.in:
    + Include GObject-Introspection files for the libraries.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Mar 2015 10:04:25 +0100

gst-plugins-bad1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot:
    + Add new bs2b, de265, x265, dtls, rtp plugins.
    + Add ported vcd and bluez5 plugins.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Mar 2015 09:42:54 +0100

gst-plugins-bad1.0 (1.4.5-1ubuntu7) wily; urgency=medium

  [ Alberto Aguirre ]
  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    + Remove non-existant headers/types as platform-api 3 ua_ui_xxx apis
      have been deprecated and removed

 -- Iain Lane <iain.lane@canonical.com>  Thu, 02 Jul 2015 11:32:19 +0100

gst-plugins-bad1.0 (1.4.5-1ubuntu6) wily; urgency=medium

  * debian/patches/mirclient-requires.patch, debian/build-deps.in: Explicitly
    include mirclient's CFLAGS and LIBS even though they are only indirectly
    (by platform-api) required. Resolves FTBFS and can be removed once bug
    #1465958 is fixed.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Jun 2015 17:48:12 +0100
