=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autoconf (>= 2.62),
-               automake (>= 1.11),
+Build-Depends: autoconf (>= 2.69),
+               automake (>= 1.14),
                autopoint (>= 0.17),
                autotools-dev,
                cdbs (>= 0.4.93),
@@ -14,6 +14,11 @@
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
                flite-dev,
+               gir1.2-freedesktop,
+               gir1.2-glib-2.0,
+               gir1.2-gst-plugins-base-1.0,
+               gir1.2-gstreamer-1.0,
+               gobject-introspection (>= 0.9.12-4~),
                libasound2-dev (>= 0.9.1) [linux-any],
                libcdaudio-dev [linux-any],
                libdc1394-22-dev (>= 2.0.0) [linux-any],
@@ -21,18 +26,20 @@
                libusb-1.0-0-dev [linux-any],
                libsbc-dev (>= 1.1) [linux-any],
                libwayland-dev (>= 1.0) [linux-any],
-               libgstreamer1.0-dev (>= 1.4.0),
+               libgstreamer1.0-dev (>= 1.5.2),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.4.0),
+               gstreamer1.0-plugins-base (>= 1.5.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
                libass-dev (>= 0.9.4),
+               libbs2b-dev,
                libbz2-dev,
                libcairo2-dev,
                libchromaprint-dev,
-               libcurl4-gnutls-dev (>= 7.21.0),
+               libcurl4-gnutls-dev (>= 7.35.0),
                libdca-dev,
+               libde265-dev,
                libdirectfb-dev (>= 0.9.25),
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
                libegl1-mesa-dev,
@@ -40,6 +47,7 @@
                libexif-dev (>= 0.6.16),
                libfaad-dev,
                libfluidsynth-dev (>= 1.0),
+               libgirepository1.0-dev (>= 0.9.12-4~),
                libgl1-mesa-dev [!armhf],
                libgles2-mesa-dev,
                libglib2.0-dev (>= 2.32),
@@ -47,14 +55,15 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
-               libgstreamer-plugins-good1.0-dev (>= 1.4.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.5.2),
+               libgstreamer-plugins-good1.0-dev (>= 1.5.2),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
                libkate-dev (>= 0.1.7),
                libmedia-dev (>= 0.1.0+git20131207+e452e83-0ubuntu3) [i386 armhf],
                libmimic-dev (>= 1.0),
+               libmirclient-dev [i386 armhf],
                libmjpegtools-dev,
                libmms-dev (>= 0.4),
                libmodplug-dev,
@@ -83,6 +92,7 @@
                libwebp-dev (>= 0.2.1),
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
+               libx265-dev,
                libxml2-dev (>= 2.4),
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
@@ -264,10 +274,3 @@
 Section: libs
 Priority: extra
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Description: GStreamer development files for libraries from the "bad" set
- GStreamer is a streaming media framework, based on graphs of filters
- which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
