=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.4.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.5.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -56,7 +56,7 @@
 gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
 gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
-#gst_extra_build_depends += , libbluetooth-dev (<< 5) [linux-any]
+#gst_extra_build_depends += , libbluetooth-dev (>= 5) [linux-any]
 gst_extra_build_depends += , libsbc-dev (>= 1.1) [linux-any]
 gst_extra_build_depends += , libwayland-dev (>= 1.0) [linux-any]
 
@@ -78,11 +78,6 @@
 
 #debug package
 DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg
-
-# enable the real plugin on x86
-ifeq ($(DEB_HOST_ARCH_CPU), i386)
-real = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstreal.so
-endif
 
 # miralloc is just enabled for i386 and armhf (need android for the other archs)
 android_hybris_archs := i386 armhf
@@ -136,7 +131,6 @@
 	for p in $(PLUGINS); do \
 		rm -f debian/$(gst_pkgname)-$$p.install; \
 		sed \
-			-e 's,@real@,$(real),g' \
 			-e 's,@dvb@,$(dvb),g' \
 			-e 's,@decklink@,$(decklink),g' \
 			-e 's,@linsys@,$(linsys),g' \
@@ -167,6 +161,8 @@
 			-e 's,@mirallocdev@,$(mirallocdev),g' \
 			debian/libgstreamer-plugins-bad-dev.install \
 			> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install
+	cp debian/gir1.2-gst-plugins-bad.install \
+			debian/gir1.2-gst-plugins-bad-$(gst_abi).install
 
 maint: debian/control
 
@@ -218,3 +214,7 @@
 	--disable-pvr
 
 # only build the docs on arches which can
+ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
+endif
+
