## gst-plugins-bad1.0 1.5.90

=== debian/changelog ===
gst-plugins-bad1.0 (1.5.90-1ubuntu2) wily; urgency=medium

  * Build-Depend on mesa-common-dev since we need glx.h everywhere.
  * Really disable (via a build switch) opengl on armhf, to build properly in
    unclean environments.
  * debian/patches/0001-gl-Define-GL_GLEXT_LEGACY-and-GLX_GLXEXT_LEGACY.patch:
    Define GL_GLEXT_LEGACY and GLX_GLXECT_LEGACY to avoid FTBFS on armhf due
    to conflicting definitions of GL types.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 08 Sep 2015 14:27:41 +0100

gst-plugins-bad1.0 (1.5.90-1ubuntu1) wily; urgency=medium

  * Merge with Debian experimental; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme
  * Bluetooth has been re-enabled now we have bluez 5 in Ubuntu.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 04 Sep 2015 18:05:15 +0100

gst-plugins-bad1.0 (1.5.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2015 13:35:43 +0300
