=== debian/control ===
--- 
+++ 
@@ -24,11 +24,12 @@
                libdc1394-22-dev (>= 2.0.0) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
+               libbluetooth-dev (>= 5) [linux-any],
                libsbc-dev (>= 1.1) [linux-any],
                libwayland-dev (>= 1.0) [linux-any],
-               libgstreamer1.0-dev (>= 1.5.2),
+               libgstreamer1.0-dev (>= 1.5.90),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.5.2),
+               gstreamer1.0-plugins-base (>= 1.5.90),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -55,9 +56,9 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.5.2),
-               libgstreamer-plugins-good1.0-dev (>= 1.5.2),
-               libgtk2.0-dev (>= 2.14.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.5.90),
+               libgstreamer-plugins-good1.0-dev (>= 1.5.90),
+               libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
                libkate-dev (>= 0.1.7),
@@ -71,7 +72,6 @@
                libmpg123-dev (>= 1.13),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 2.0.0),
                libopenexr-dev,
                libopenjpeg-dev,
                libopus-dev (>= 0.9.4),
@@ -93,10 +93,11 @@
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
                libx265-dev,
-               libxml2-dev (>= 2.4),
+               libxml2-dev (>= 2.8),
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
+               mesa-common-dev,
                nettle-dev,
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
@@ -272,5 +273,3 @@
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
 Section: libs
-Priority: extra
-Multi-Arch: same
