=== debian/control ===
--- 
+++ 
@@ -27,9 +27,9 @@
                libbluetooth-dev (>= 5) [linux-any],
                libsbc-dev (>= 1.1) [linux-any],
                libwayland-dev (>= 1.0) [linux-any],
-               libgstreamer1.0-dev (>= 1.5.90),
+               libgstreamer1.0-dev (>= 1.6.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.5.90),
+               gstreamer1.0-plugins-base (>= 1.6.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -56,8 +56,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.5.90),
-               libgstreamer-plugins-good1.0-dev (>= 1.5.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.6.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.6.0),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -72,6 +72,7 @@
                libmpg123-dev (>= 1.13),
                libofa0-dev (>= 0.9.3),
                libopenal-dev (>= 1:1.14),
+               libopencv-dev (>= 2.3.0),
                libopenexr-dev,
                libopenjpeg-dev,
                libopus-dev (>= 0.9.4),
@@ -97,7 +98,6 @@
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
                libzvbi-dev,
-               mesa-common-dev,
                nettle-dev,
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
